Servers by jDrones

Please check Archieve for Rover 3.4.2 firmware

There is a wrong firmware in folder I need for APM 2. Instead of latest stable version 3.4.2 I got old v. 2.5.1 Is this a mistake or someone delibaratly removed good working latest for APM2 firmware ( forum great disscussion: Steering Boat Not following the Waypoint exactly? Heading angle error too big](Steering Boat Not following the Waypoint exactly? Heading angle error too big) This disscussion shows how much better is v. 3.4.2 for ArduBoat. Thanks for support

AFAIK ArduRover 3.4.2 requires a newer AutoPilot hardware.
The latest ArduRover supported by APM2 8bit hardware is ArduRover 2.5.1.

Thanks for answer. Why under the archieve folder with firmware Rover 3.4.2 there is a list of hardware and there is apm2 ??? If You open text folder you can find 2.5.1 label which made me look for the right one.

APM 2.8 is the latest hardware anyway. I understand Pixihawk is beter supported with firmware.

Saying that a 32bit 168MHz pixhawk is better than a 8bit 68MHz APM2 is a bit of understatement.
And 4 year of continuous firmware development with tousands of new features also make it a bit “better” :slight_smile:

Servers by jDrones